From e55afc691c0105623e04a6e76369cf1438afb874 Mon Sep 17 00:00:00 2001
From: Andrew Hughes <gnu.andrew@redhat.com>
Date: Fri, 8 Dec 2023 21:22:02 +0000
Subject: [PATCH] Disable multilib on x86_64

---
 make/devkit/Tools.gmk | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

diff --git a/make/devkit/Tools.gmk b/make/devkit/Tools.gmk
index 001f4b1870c..9ede781413d 100644
--- a/make/devkit/Tools.gmk
+++ b/make/devkit/Tools.gmk
@@ -225,13 +225,7 @@ RPM_LIST := \
 ##########################################################################################
 # Define common directories and files
 
-# Ensure we have 32-bit libs also for x64. We enable mixed-mode.
-ifeq (x86_64,$(ARCH))
-  LIBDIRS := lib64 lib
-  CFLAGS_lib := -m32
-else
-  LIBDIRS := lib
-endif
+LIBDIRS := lib
 
 # Define directories
 BUILDDIR := $(OUTPUT_ROOT)/$(HOST)/$(TARGET)
@@ -289,8 +283,7 @@ $(foreach p,GCC BINUTILS CCACHE MPFR GMP MPC GDB,$(eval $(call Download,$(p))))
 
 RPM_ARCHS := $(ARCH) noarch
 ifeq ($(ARCH),x86_64)
-  # Enable mixed mode.
-  RPM_ARCHS += i386 i686
+  RPM_ARCHS += i686
 else ifeq ($(ARCH),i686)
   RPM_ARCHS += i386
 else ifeq ($(ARCH), armhfp)
@@ -526,7 +519,7 @@ ifeq ($(ARCH), armhfp)
   $(BUILDDIR)/$(gcc_ver)/Makefile : CONFIG +=  --with-float=hard
 endif
 
-ifneq ($(filter riscv64 ppc64 ppc64le s390x, $(ARCH)), )
+ifneq ($(filter riscv64 ppc64 ppc64le s390x x86_64, $(ARCH)), )
   # We only support 64-bit on these platforms anyway
   CONFIG += --disable-multilib
 endif
-- 
2.45.2

